dpkg-name(1)

NAME
dpkg-name - rename Debian packages to full package names

SYNOPSIS
dpkg-name [-a|--no-architecture] [-o|--overwrite] [-s|--subdir [dir]] [-c|--create-dir] [-h|--help] [-v|--version] [-l|--license] [-k|--symlink] [-[--] [files]

DESCRIPTION

This manual page documents the dpkg-name sh script which provides an easy way to rename Debian packages into their full package names. A full package name consists of <package>_<version>_<architecture>.deb as specified in the control file of the package. The <version> part of the filename consists of the mainstream version information optionally followed by a hyphen and the revision information.

EXAMPLES

dpkg-name bar-foo.deb
    The file `bar-foo.deb' will be renamed to bar-foo_1.0-2_i386.deb or something similar (depending on whatever information is in the control part of `bar-foo.deb').

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    All files with the extension `deb' in the directory /root/debian and its subdirectory's will be renamed by dpkg-name if required into names with no architecture information.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Don't do this. Your archive will be messed up completely because a lot of packages don't come with section information. Don't do this.

dpkg --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    This can be used when building new packages.

  OPTIONS

-a, --no-architecture
    The destination filename will not have the architecture information.

-k, --symlink
    Create a symlink, instead of moving.

-o, --overwrite
    Existing files will be overwritten if they have the same name as the destination filename.

-s, --subdir [dir]
    Files will be moved into subdir. If directory given as argument exists the files will be moved into that direcotory otherswise the name of the target directory is extracted from the section field in the control part of the package. The target directory will be `unstable/binary-<architecture>/<section>'. If the section is `non-free', `contrib' or no section information is found in the control file the target directory is `<section>/binary-<architecture>'. The section field isn't required so a lot of packages will find their way to the `no-section' area. Use this option with care, it's messy.

-c, --create-dir
    This option can used together with the -s option. If a target directory isn't found it will be created automatically. Use this option with care.

-h, --help
    Print a usage message and exit successfully.

-v, --version
    Print version information and exit successfully.

-l, --license
    Print copyright information and (a reference to GNU) license information and exit successfully.

BUGS
Some packages don't follow the name structure <package>_<version>_<architecture>.deb. Packages renamed by dpkg-name will follow this structure. Generally this will have no impact on how packages are installed by dselect/dpkg, but other installation tools might depend on this naming structure.

SEE ALSO
deb(5), deb-control(5), dpkg(5), dpkg(8), dpkg-deb(1), find(1), xargs(1).

COPYRIGHT
Copyright 1995,1996 Erick Branderhorst. dpkg-name is free software; see the GNU General Public Licence version 2 or later for copying conditions. There is no warranty.